=== debian/control ===
Source: libupnp
Section: net
Priority: extra
Homepage: http://pupnp.sourceforge.net/
Maintainer: Nick Leverton <nick@leverton.org>
Build-Depends: debhelper (>= 8.9~),
 autotools-dev (>= 20100122.1~), autoconf, automake, libtool, doxygen, graphviz
Standards-Version: 3.9.3

Package: libupnp6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libupnp0, libupnp2, libupnp3, libupnp4 (<< 1.8.0~svn20090313)
Replaces: libupnp0, libupnp2, libupnp3
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices, version 1.6 (shared libraries)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp6 package contains the runtime libraries for uPnP.

Package: libupnp6-dev
Architecture: any
Section: libdevel
Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libupnp3-dev, libupnp4-dev
Suggests: libupnp6-doc
Description: Portable SDK for UPnP Devices, version 1.6 (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp-dev package contains the header files, documentation and
 debug versions of libraries needed for development of programs using
 uPnP.

Package: libupnp-dev
Architecture: all
Section: libdevel
Depends: libupnp6-dev (>= ${binary:Version}), ${misc:Depends}
Description: Portable SDK for UPnP Devices (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp-dev package is a metapackage which will depend on the
 current stable development package.

Package: libupnp6-dbg
Architecture: any
Section: debug
Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libupnp3-dbg, libupnp4-dbg (<< 1.8.0~svn20090313)
Replaces: libupnp3-dbg
Description: debugging symbols for libupnp6
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 This package contains the debugging symbols associated with libupnp6.
 They will automatically be used by gdb for debugging libupnp-related
 issues.
 .
 Most people will not need this package.

Package: libupnp6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: libupnp3-dev
Description: Documentation for the Portable SDK for UPnP Devices, version 1.6
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 This package contains the HTML documentation for the libupnp6 library
 in /usr/share/doc/libupnp6-doc/
