=== debian/watch ===
version=3
http://sf.net/pupnp/libupnp-(\d.*)\.(?:tar.bz2|tar.gz|tar|tgz)
