## libupnp 1.6.19+git20141001

=== debian/changelog ===
libupnp (1:1.6.19+git20141001-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * backport fixes for CVE-2016-6255 and CVE-2016-8863
    (Closes: #831857, #842093)

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 13 Dec 2016 11:46:31 +0100

libupnp (1:1.6.19+git20141001-1) unstable; urgency=low

  * Ack both NMUs, thankyou for your care of this package.
  * New upstream release (Closes: #740584, #670964).  We take the git version
    as the git log suggests some worthwhile security and reliability fixes.
  * Build for IPv6 (note, UpnpInit() only enables IPv4 connections so
    most existing libupnp users need not be aware of this).
  * Change Priority to "optional" (Closes: #740582).
  * Remove patch 0001-Security-fix-for-CERT-issue-VU-922681 now in upstream.
  * Improve debian/rules hardening option usage stuff.
  * Update Standards-Version to 3.9.6 (no changes required).
  * Fix "memset(ctx, 0, sizeof(ctx));   /* In case it's sensitive */"
    in our copy of Colin Plumb's md5.c (patch 01-debian-md5-licence.patch).
  * Disable build tests since we aren't guaranteed to have network access
    in buildds (patch 19).

 -- Nick Leverton <nick@leverton.org>  Wed, 08 Oct 2014 00:09:27 +0100
