=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libupnp
 Section: net
-Priority: extra
+Priority: optional
 Homepage: http://pupnp.sourceforge.net/
 Maintainer: Nick Leverton <nick@leverton.org>
-Build-Depends: debhelper (>= 8.9~),
- autotools-dev (>= 20100122.1~), autoconf, automake, libtool, doxygen, graphviz
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~),
+ dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
+Standards-Version: 3.9.6
 
 Package: libupnp6
 Architecture: any
@@ -57,6 +57,7 @@
 Package: libupnp6-dbg
 Architecture: any
 Section: debug
+Priority: extra
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libupnp3-dbg, libupnp4-dbg (<< 1.8.0~svn20090313)
 Replaces: libupnp3-dbg
