## libupnp 1.6.19+git20160116

=== debian/changelog ===
libupnp (1:1.6.19+git20160116-1) unstable; urgency=medium

  * Update to latest git:
    + Don't fail if IPv6 is unavailable, we might be running on an
      IPv4-only host (Closes: #781876).
    + Don't define strndup and strnlen if autoconf says we already have them
      (Closes: #807393).
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.
    [Jérémy Bobbio <lunar@debian.org>] (patch 22) (Closes: #774518).
  * Bind miniserver sockets to our given IP address not INADDR_ANY (patch 24).
  * libupnp6-doc: add override of embedded-javascript-library for jquery.js, 
    see README.jquery in doxygen itself for why (lintian, Policy section 4.13).
  * Fix lintian binary-file-built-without-LFS-support for libixml: fix
    libixml Makefile.am, fseeko and #includes, and define AC_USE_LARGEFILE in
    configure.ac instead of the direct messing with 64bit #defines (patch 27).

 -- Nick Leverton <nick@leverton.org>  Sun, 17 Jan 2016 01:03:04 +0000
