=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#NOCHECK = --disable-tests
#endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-documentation --disable-samples --enable-debug --enable-ipv6 $(NOCHECK)

override_dh_auto_build:
	dh_auto_build
	doxygen Doxyfile 2>/dev/null

override_dh_auto_clean:
	$(RM) -r docs/doxygen
	dh_auto_clean
	find -name "Makefile.in" -print0 | xargs -0r $(RM)
	$(RM) aclocal.m4 configure autoconfig.h.in

override_dh_install:
	dh_install -plibupnp6-doc --sourcedir=. -X.md5
	dh_install --remaining-packages -X.la --list-missing

override_dh_strip:
	dh_strip --dbg-package=libupnp6-dbg

override_dh_compress:
	dh_compress -Xhtml -X.pdf
