## libupnp 1.6.22

=== debian/changelog ===
libupnp (1:1.6.22-1) unstable; urgency=medium

  * New upstream release:
    + drop 01-debian-md5-licence.patch, solved similar upstream
    + drop 24-miniserver_IPV4_INADDR_ANY.patch, CVE-2016-6255.patch,
      CVE-2016-8863.patch and
      miniserver-fix-binding-to-ipv6-link-local-addresses.patch, all applied
      upstream.
  * Drop explicit -dbg package and rely on autogenerated -dbgsym instead.
  * Take maintainership. (Closes: #857211)
  * Various packaging cleanups

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 09 Aug 2017 09:31:36 +0200

libupnp (1:1.6.19+git20160116-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix out-of-bounds-access (CVE-2016-8863, Closes: #842093)
  * Fix usage on ipv6 enabled hosts (Closes: #813249) 

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 09 Dec 2016 10:40:28 +0100

libupnp (1:1.6.19+git20160116-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't allow unhandled POSTs to write to the filesystem by
    default (Closes: #831857) (CVE-2016-6255)
    Thanks to Matthew Garrett for the patch.

 -- James Cowgill <jcowgill@debian.org>  Wed, 19 Oct 2016 21:03:51 +0100
