## libupnp 1.6.24

=== debian/changelog ===
libupnp (1:1.6.24-4) unstable; urgency=medium

  * Fix patch 18-url-upnpstrings.patch to have working compat functions
    for the (upstream) fixed-length strings.
  * Add still more compat code to ease applications to compile against both
    libupnp 1.6 and 1.8.

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 22 Dec 2017 16:56:01 +0100

libupnp (1:1.6.24-3) unstable; urgency=medium

  * Specify details for "public domain" in debian/copyright to please lintian.
  * Switch to https URI for copyright-format
  * Update Standards-Version to 4.1.2 (no changes required).
  * Add Multi-Arch: headers and switch libupnp-dev to arch-any.  Thanks to
    Helmut Grohne who provided a slightly different patch. (Closes: #843216)
  * Add more and fix existing compat code.

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 19 Dec 2017 22:28:06 +0100

libupnp (1:1.6.24-2) unstable; urgency=high

  * Cherry pick "Fix segmentation fault in http_MakeMessage" from upstream.
    (Closes: #883118)
  * Ensure that the assert(0) in http_MakeMessage isn't hit if fmt contains
    'E'. Thanks to Tobi Frost for the patch.

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 10 Dec 2017 23:02:08 +0100

libupnp (1:1.6.24-1) unstable; urgency=medium

  * Fix Vcs URL to not use an insecure URI
  * Fix machine parsable copyright to use standard name for "public-domain"
  * New upstream release

 -- Uwe Kleine-König <ukleinek@debian.org>  Sat, 25 Nov 2017 22:13:26 +0100
