=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends: debhelper (>= 9~),
  dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2
 Vcs-Browser: https://git.kleine-koenig.org/cgit/pupnp.git/
-Vcs-Git: git://git.kleine-koenig.org/pupnp.git -b debian/master
+Vcs-Git: https://git.kleine-koenig.org/cgit/pupnp.git/ -b debian/master
 
 Package: libupnp6
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,6 +26,7 @@
 
 Package: libupnp6-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
 Suggests: libupnp6-doc
@@ -40,7 +42,8 @@
  uPnP.
 
 Package: libupnp-dev
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libupnp6-dev (>= ${binary:Version}), ${misc:Depends}
 Description: Portable SDK for UPnP Devices (development files)
@@ -55,6 +58,7 @@
 
 Package: libupnp6-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Documentation for the Portable SDK for UPnP Devices, version 1.6
@@ -66,4 +70,3 @@
  .
  This package contains the HTML documentation for the libupnp6 library
  in /usr/share/doc/libupnp6-doc/
-
