=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,9 @@
 	find -name "Makefile.in" -print0 | xargs -0r $(RM)
 	$(RM) aclocal.m4 configure autoconfig.h.in
 
-override_dh_install:
-	dh_install -plibupnp6-doc --sourcedir=. -X.md5
-	dh_install --remaining-packages -X.la --list-missing
-
-override_dh_strip:
-	dh_strip --dbg-package=libupnp6-dbg
+override_dh_installdocs-indep:
+	dh_installdocs --indep
+	dh_doxygen --indep
 
 override_dh_compress:
 	dh_compress -Xhtml -X.pdf
