=== debian/watch ===
version=3
http://sf.net/pupnp/libupnp-(1.6.\d*)\.(?:tar.bz2|tar.gz|tar|tgz)
