## libupnp 1.6.24-4+8.0trisquel1

=== debian/changelog ===
libupnp (1:1.6.24-4+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Oct 2018 02:59:58 +0000
