## libupnp 1.6.25

=== debian/changelog ===
libupnp (1:1.6.25-1) unstable; urgency=medium

  * New upstream release:
    + drop four patches that were applied upstream
    + refresh remaining patches where necessary
  * Drop Multi-Arch: same for libupnp6-dev.  upnpconfig.h differs between
    32-bit and 64-bit targets. (Closes: #898052)
  * Cherry-pick compat patch from upstream to allow complilation of
    gmrender-resurrect.
  * Move libupnp6 to oldlibs as it is intended to be removed in favour of
    libupnp10.
  * Add Rules-Requires-Root: no.
  * Standards-Version bumped to 4.2.1.
  * Add Build-Depends-Package field to symbol file.

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 22 Oct 2018 16:32:20 +0200
