=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends: debhelper (>= 9~),
  dh-autoreconf, autoconf, automake, libtool, doxygen, graphviz
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Vcs-Browser: https://git.kleine-koenig.org/cgit/pupnp.git/
 Vcs-Git: https://git.kleine-koenig.org/cgit/pupnp.git/ -b debian/master
+Rules-Requires-Root: no
 
 Package: libupnp6
 Architecture: any
 Multi-Arch: same
-Section: libs
+Section: oldlibs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Portable SDK for UPnP Devices, version 1.6 (shared libraries)
@@ -26,7 +27,6 @@
 
 Package: libupnp6-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libupnp6 (= ${binary:Version}), ${misc:Depends}
 Suggests: libupnp6-doc
